﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;
using SiteGuide.DAL;

#nullable disable

namespace SiteGuide.DAL.Migrations
{
    [DbContext(typeof(SiteGuideContext))]
    partial class SiteGuideContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "6.0.11")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            NpgsqlModelBuilderExtensions.UseIdentityByDefaultColumns(modelBuilder);

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRole", b =>
                {
                    b.Property<string>("Id")
                        .HasColumnType("text");

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken()
                        .HasColumnType("text");

                    b.Property<string>("Name")
                        .HasMaxLength(256)
                        .HasColumnType("character varying(256)");

                    b.Property<string>("NormalizedName")
                        .HasMaxLength(256)
                        .HasColumnType("character varying(256)");

                    b.HasKey("Id");

                    b.HasIndex("NormalizedName")
                        .IsUnique()
                        .HasDatabaseName("RoleNameIndex");

                    b.ToTable("AspNetRoles", (string)null);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<string>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<string>("ClaimType")
                        .HasColumnType("text");

                    b.Property<string>("ClaimValue")
                        .HasColumnType("text");

                    b.Property<string>("RoleId")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetRoleClaims", (string)null);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUser", b =>
                {
                    b.Property<string>("Id")
                        .HasColumnType("text");

                    b.Property<int>("AccessFailedCount")
                        .HasColumnType("integer");

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken()
                        .HasColumnType("text");

                    b.Property<string>("Email")
                        .HasMaxLength(256)
                        .HasColumnType("character varying(256)");

                    b.Property<bool>("EmailConfirmed")
                        .HasColumnType("boolean");

                    b.Property<bool>("LockoutEnabled")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset?>("LockoutEnd")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("NormalizedEmail")
                        .HasMaxLength(256)
                        .HasColumnType("character varying(256)");

                    b.Property<string>("NormalizedUserName")
                        .HasMaxLength(256)
                        .HasColumnType("character varying(256)");

                    b.Property<string>("PasswordHash")
                        .HasColumnType("text");

                    b.Property<string>("PhoneNumber")
                        .HasColumnType("text");

                    b.Property<bool>("PhoneNumberConfirmed")
                        .HasColumnType("boolean");

                    b.Property<string>("SecurityStamp")
                        .HasColumnType("text");

                    b.Property<bool>("TwoFactorEnabled")
                        .HasColumnType("boolean");

                    b.Property<string>("UserName")
                        .HasMaxLength(256)
                        .HasColumnType("character varying(256)");

                    b.HasKey("Id");

                    b.HasIndex("NormalizedEmail")
                        .HasDatabaseName("EmailIndex");

                    b.HasIndex("NormalizedUserName")
                        .IsUnique()
                        .HasDatabaseName("UserNameIndex");

                    b.ToTable("AspNetUsers", (string)null);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<string>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<string>("ClaimType")
                        .HasColumnType("text");

                    b.Property<string>("ClaimValue")
                        .HasColumnType("text");

                    b.Property<string>("UserId")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserClaims", (string)null);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<string>", b =>
                {
                    b.Property<string>("LoginProvider")
                        .HasColumnType("text");

                    b.Property<string>("ProviderKey")
                        .HasColumnType("text");

                    b.Property<string>("ProviderDisplayName")
                        .HasColumnType("text");

                    b.Property<string>("UserId")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("LoginProvider", "ProviderKey");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserLogins", (string)null);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<string>", b =>
                {
                    b.Property<string>("UserId")
                        .HasColumnType("text");

                    b.Property<string>("RoleId")
                        .HasColumnType("text");

                    b.HasKey("UserId", "RoleId");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetUserRoles", (string)null);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<string>", b =>
                {
                    b.Property<string>("UserId")
                        .HasColumnType("text");

                    b.Property<string>("LoginProvider")
                        .HasColumnType("text");

                    b.Property<string>("Name")
                        .HasColumnType("text");

                    b.Property<string>("Value")
                        .HasColumnType("text");

                    b.HasKey("UserId", "LoginProvider", "Name");

                    b.ToTable("AspNetUserTokens", (string)null);
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.Area", b =>
                {
                    b.Property<int>("RecordId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("RecordId"));

                    b.Property<int?>("AdminId")
                        .HasColumnType("integer");

                    b.Property<int?>("EditVersionId")
                        .HasColumnType("integer");

                    b.Property<string>("FullName")
                        .HasMaxLength(255)
                        .IsUnicode(false)
                        .HasColumnType("character varying(255)");

                    b.Property<int>("Id")
                        .HasColumnType("integer");

                    b.Property<bool?>("IsDelete")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(255)
                        .IsUnicode(false)
                        .HasColumnType("character varying(255)");

                    b.Property<int?>("ParentAreaId")
                        .HasColumnType("integer");

                    b.Property<int?>("ValidFromVersion")
                        .HasColumnType("integer");

                    b.Property<int?>("ValidToVersion")
                        .HasColumnType("integer");

                    b.HasKey("RecordId")
                        .HasName("PK_Area_1");

                    b.HasIndex(new[] { "EditVersionId" }, "IX_Area_EditVersionId");

                    b.HasIndex(new[] { "ParentAreaId" }, "IX_Area_ParentAreaId");

                    b.ToTable("Area");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.BackgroundTask", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<DateTime>("LastUpdateUtc")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.HasKey("Id");

                    b.HasIndex(new[] { "Name" }, "IX_BackgroundTask")
                        .IsUnique();

                    b.ToTable("BackgroundTask");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.CacheUserClaimableEdits", b =>
                {
                    b.Property<string>("UserName")
                        .HasMaxLength(256)
                        .HasColumnType("character varying(256)");

                    b.Property<int>("ClaimableEditsCount")
                        .HasColumnType("integer");

                    b.Property<string>("DebugInfo")
                        .HasColumnType("text");

                    b.HasKey("UserName");

                    b.HasIndex(new[] { "UserName" }, "IX_CacheUserClaimableEdits");

                    b.ToTable("CacheUserClaimableEdits");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.Contact", b =>
                {
                    b.Property<int>("RecordId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("RecordId"));

                    b.Property<string>("Address")
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<int?>("EditVersionId")
                        .HasColumnType("integer");

                    b.Property<string>("FullName")
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<int>("Id")
                        .HasColumnType("integer");

                    b.Property<bool?>("IsDelete")
                        .HasColumnType("boolean");

                    b.Property<string>("Link")
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<string>("Phone")
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<string>("SafaClubId")
                        .HasMaxLength(50)
                        .HasColumnType("character varying(50)");

                    b.Property<string>("UserName")
                        .HasMaxLength(256)
                        .HasColumnType("character varying(256)");

                    b.Property<int?>("ValidFromVersion")
                        .HasColumnType("integer");

                    b.Property<int?>("ValidToVersion")
                        .HasColumnType("integer");

                    b.HasKey("RecordId");

                    b.HasIndex(new[] { "ValidFromVersion", "ValidToVersion", "Id" }, "IX_Contact")
                        .IsUnique()
                        .HasFilter("([ValidToVersion] IS NOT NULL)");

                    b.HasIndex(new[] { "EditVersionId", "Id" }, "IX_Contact_1")
                        .IsUnique()
                        .HasFilter("([EditVersionId] IS NOT NULL)");

                    b.HasIndex(new[] { "EditVersionId" }, "IX_Contact_EditVersionId");

                    b.ToTable("Contact");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.EditVersion", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<string>("AuthorRole")
                        .HasMaxLength(4000)
                        .HasColumnType("character varying(4000)");

                    b.Property<string>("AuthorName")
                        .IsRequired()
                        .HasMaxLength(256)
                        .HasColumnType("character varying(256)");

                    b.Property<string>("Comment")
                        .HasColumnType("text");

                    b.Property<int>("EditId")
                        .HasColumnType("integer");

                    b.Property<short>("EditVersionNumber")
                        .HasColumnType("smallint");

                    b.Property<DateTime>("InitialisedTime")
                        .HasPrecision(0)
                        .HasColumnType("timestamp(0) with time zone");

                    b.Property<string>("StatusId")
                        .IsRequired()
                        .HasMaxLength(1)
                        .IsUnicode(false)
                        .HasColumnType("character varying(1)");

                    b.Property<DateTime?>("SubmittedTime")
                        .HasPrecision(0)
                        .HasColumnType("timestamp(0) with time zone");

                    b.HasKey("Id");

                    b.HasIndex(new[] { "EditId", "EditVersionNumber" }, "IX_EditVersion")
                        .IsUnique();

                    b.HasIndex(new[] { "StatusId" }, "IX_EditVersion_StatusId");

                    b.ToTable("EditVersion");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.EditVersionStatus", b =>
                {
                    b.Property<string>("Id")
                        .HasMaxLength(1)
                        .IsUnicode(false)
                        .HasColumnType("character varying(1)");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("character varying(50)");

                    b.HasKey("Id");

                    b.ToTable("EditVersionStatus");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.ExtCacheClub", b =>
                {
                    b.Property<string>("SafaCode")
                        .HasMaxLength(400)
                        .HasColumnType("character varying(400)");

                    b.Property<string>("Address")
                        .IsRequired()
                        .HasMaxLength(4000)
                        .HasColumnType("character varying(4000)");

                    b.Property<string>("Category")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasMaxLength(1)
                        .IsUnicode(false)
                        .HasColumnType("character(1)")
                        .HasDefaultValueSql("('c')")
                        .IsFixedLength();

                    b.Property<string>("Email")
                        .HasMaxLength(400)
                        .HasColumnType("character varying(400)");

                    b.Property<decimal>("Lat")
                        .HasColumnType("numeric(9,6)");

                    b.Property<decimal>("Lng")
                        .HasColumnType("numeric(9,6)");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(400)
                        .HasColumnType("character varying(400)");

                    b.Property<string>("Phone")
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<string>("Url")
                        .HasMaxLength(400)
                        .HasColumnType("character varying(400)");

                    b.HasKey("SafaCode")
                        .HasName("PK_ExtCacheClub_1");

                    b.HasIndex(new[] { "Name" }, "IX_ExtCacheClub");

                    b.HasIndex(new[] { "SafaCode" }, "IX_ExtCacheClub_1")
                        .IsUnique();

                    b.ToTable("ExtCacheClub");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.ExtCacheCtaf", b =>
                {
                    b.Property<string>("Code")
                        .HasMaxLength(4)
                        .IsUnicode(false)
                        .HasColumnType("character(4)")
                        .IsFixedLength();

                    b.Property<string>("Category")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("character varying(50)");

                    b.Property<string>("Ctaf")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("character varying(50)");

                    b.Property<double>("Lat")
                        .HasColumnType("double precision");

                    b.Property<double>("Lng")
                        .HasColumnType("double precision");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(250)
                        .HasColumnType("character varying(250)");

                    b.HasKey("Code");

                    b.ToTable("ExtCacheCtaf");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.ExtCacheEditor", b =>
                {
                    b.Property<string>("Club")
                        .HasMaxLength(50)
                        .HasColumnType("character varying(50)");

                    b.Property<string>("SafaId")
                        .HasMaxLength(50)
                        .HasColumnType("character varying(50)");

                    b.Property<string>("Position")
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<string>("Email")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<string>("FirstName")
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<string>("Mobile")
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<string>("Name")
                        .HasMaxLength(400)
                        .HasColumnType("character varying(400)");

                    b.Property<string>("Surname")
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.HasKey("Club", "SafaId", "Position");

                    b.ToTable("ExtCacheEditor");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.ExtCacheErsaEffectiveDate", b =>
                {
                    b.Property<DateTime>("EffectiveDate")
                        .HasColumnType("date");

                    b.HasKey("EffectiveDate")
                        .HasName("PK_ErsaEffectiveDate");

                    b.ToTable("ExtCacheErsaEffectiveDate");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.InsetMapPosition", b =>
                {
                    b.Property<byte>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("smallint");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<byte>("Id"));

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.HasKey("Id");

                    b.ToTable("InsetMapPosition");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.Launch", b =>
                {
                    b.Property<int>("RecordId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("RecordId"));

                    b.Property<string>("Closed")
                        .HasColumnType("text");

                    b.Property<string>("Conditions")
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<string>("Description")
                        .HasColumnType("text");

                    b.Property<int?>("EditVersionId")
                        .HasColumnType("integer");

                    b.Property<string>("EstaEmergencyMarker")
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<int>("Id")
                        .HasColumnType("integer");

                    b.Property<bool?>("IsDelete")
                        .HasColumnType("boolean");

                    b.Property<decimal>("Lat")
                        .HasColumnType("numeric(18,9)");

                    b.Property<decimal>("Lon")
                        .HasColumnType("numeric(18,9)");

                    b.Property<string>("Name")
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<int>("SiteId")
                        .HasColumnType("integer");

                    b.Property<int?>("ValidFromVersion")
                        .HasColumnType("integer");

                    b.Property<int?>("ValidToVersion")
                        .HasColumnType("integer");

                    b.HasKey("RecordId");

                    b.HasIndex(new[] { "ValidFromVersion", "ValidToVersion", "Id" }, "IX_Launch")
                        .IsUnique()
                        .HasFilter("([ValidToVersion] IS NOT NULL)");

                    b.HasIndex(new[] { "EditVersionId", "Id" }, "IX_Launch_1")
                        .IsUnique()
                        .HasFilter("([EditVersionId] IS NOT NULL)");

                    b.HasIndex(new[] { "EditVersionId" }, "IX_Launch_EditVersionId");

                    b.ToTable("Launch");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.MapShape", b =>
                {
                    b.Property<int>("RecordId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("RecordId"));

                    b.Property<int>("AreaId")
                        .HasColumnType("integer");

                    b.Property<int>("CategoryId")
                        .HasColumnType("integer");

                    b.Property<string>("Coordinates")
                        .HasColumnType("text");

                    b.Property<string>("Description")
                        .HasColumnType("text");

                    b.Property<int?>("EditVersionId")
                        .HasColumnType("integer");

                    b.Property<string>("EstaEmergencyMarker")
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<int>("Id")
                        .HasColumnType("integer");

                    b.Property<bool?>("IsDelete")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<int?>("ValidFromVersion")
                        .HasColumnType("integer");

                    b.Property<int?>("ValidToVersion")
                        .HasColumnType("integer");

                    b.HasKey("RecordId");

                    b.HasIndex(new[] { "ValidFromVersion", "ValidToVersion", "Id" }, "IX_MapShape")
                        .IsUnique()
                        .HasFilter("([ValidToVersion] IS NOT NULL)");

                    b.HasIndex(new[] { "EditVersionId", "Id" }, "IX_MapShape_1")
                        .IsUnique()
                        .HasFilter("([EditVersionId] IS NOT NULL)");

                    b.HasIndex(new[] { "AreaId" }, "IX_MapShape_AreaId");

                    b.HasIndex(new[] { "CategoryId" }, "IX_MapShape_CategoryId");

                    b.HasIndex(new[] { "EditVersionId" }, "IX_MapShape_EditVersionId");

                    b.ToTable("MapShape");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.MapShapeCategory", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<string>("Color")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("character varying(50)");

                    b.Property<byte>("Dimensions")
                        .HasColumnType("smallint");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.HasKey("Id");

                    b.ToTable("MapShapeCategory");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.SeeAlso", b =>
                {
                    b.Property<int>("RecordId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("RecordId"));

                    b.Property<int?>("EditVersionId")
                        .HasColumnType("integer");

                    b.Property<int>("Id")
                        .HasColumnType("integer");

                    b.Property<bool?>("IsDelete")
                        .HasColumnType("boolean");

                    b.Property<bool>("IsEntryStubForThis")
                        .HasColumnType("boolean");

                    b.Property<string>("Link")
                        .HasMaxLength(4000)
                        .HasColumnType("character varying(4000)");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<int>("SiteId")
                        .HasColumnType("integer");

                    b.Property<int?>("ValidFromVersion")
                        .HasColumnType("integer");

                    b.Property<int?>("ValidToVersion")
                        .HasColumnType("integer");

                    b.HasKey("RecordId");

                    b.HasIndex(new[] { "ValidFromVersion", "ValidToVersion", "Id" }, "IX_SeeAlso")
                        .IsUnique()
                        .HasFilter("([ValidToVersion] IS NOT NULL)");

                    b.HasIndex(new[] { "EditVersionId", "Id" }, "IX_SeeAlso_1")
                        .IsUnique()
                        .HasFilter("([EditVersionId] IS NOT NULL)");

                    b.HasIndex(new[] { "EditVersionId" }, "IX_SeeAlso_EditVersionId");

                    b.ToTable("SeeAlso");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.Site", b =>
                {
                    b.Property<int>("RecordId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("RecordId"));

                    b.Property<int>("AreaId")
                        .HasColumnType("integer");

                    b.Property<string>("Closed")
                        .HasColumnType("text");

                    b.Property<string>("Conditions")
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<string>("Description")
                        .HasColumnType("text");

                    b.Property<int?>("EditVersionId")
                        .HasColumnType("integer");

                    b.Property<string>("ExtendedLocation")
                        .HasColumnType("text");

                    b.Property<string>("FlightComments")
                        .HasColumnType("text");

                    b.Property<string>("HazardsComments")
                        .HasColumnType("text");

                    b.Property<string>("Height")
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<int>("Id")
                        .HasColumnType("integer");

                    b.Property<byte>("InsetMapPositionId")
                        .HasColumnType("smallint");

                    b.Property<bool?>("IsDelete")
                        .HasColumnType("boolean");

                    b.Property<string>("Landing")
                        .HasColumnType("text");

                    b.Property<string>("Landowners")
                        .HasColumnType("text");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<string>("Rating")
                        .HasColumnType("text");

                    b.Property<string>("Restrictions")
                        .HasColumnType("text");

                    b.Property<string>("ShortLocation")
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<string>("SmallPicture")
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<string>("SmallPictureHref")
                        .HasMaxLength(4000)
                        .HasColumnType("character varying(4000)");

                    b.Property<string>("SmallPictureTitle")
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<string>("Takeoff")
                        .HasColumnType("text");

                    b.Property<string>("Type")
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<int?>("ValidFromVersion")
                        .HasColumnType("integer");

                    b.Property<int?>("ValidToVersion")
                        .HasColumnType("integer");

                    b.HasKey("RecordId");

                    b.HasIndex(new[] { "ValidFromVersion", "ValidToVersion", "Id" }, "IX_Site")
                        .IsUnique()
                        .HasFilter("([ValidToVersion] IS NOT NULL)");

                    b.HasIndex(new[] { "EditVersionId", "Id" }, "IX_Site_1")
                        .IsUnique()
                        .HasFilter("([EditVersionId] IS NOT NULL)");

                    b.HasIndex(new[] { "AreaId" }, "IX_Site_AreaId");

                    b.HasIndex(new[] { "EditVersionId" }, "IX_Site_EditVersionId");

                    b.HasIndex(new[] { "InsetMapPositionId" }, "IX_Site_InsetMapPositionId");

                    b.HasIndex(new[] { "ValidToVersion", "ValidFromVersion" }, "IX_Site_ValidVersion");

                    b.ToTable("Site");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.SiteContact", b =>
                {
                    b.Property<int>("RecordId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("RecordId"));

                    b.Property<int>("ContactId")
                        .HasColumnType("integer");

                    b.Property<int?>("EditVersionId")
                        .HasColumnType("integer");

                    b.Property<bool>("IsContact")
                        .HasColumnType("boolean");

                    b.Property<bool?>("IsDelete")
                        .HasColumnType("boolean");

                    b.Property<bool>("IsResponsible")
                        .HasColumnType("boolean");

                    b.Property<int>("SiteId")
                        .HasColumnType("integer");

                    b.Property<int?>("ValidFromVersion")
                        .HasColumnType("integer");

                    b.Property<int?>("ValidToVersion")
                        .HasColumnType("integer");

                    b.HasKey("RecordId");

                    b.HasIndex(new[] { "ValidFromVersion", "ValidToVersion", "SiteId", "ContactId" }, "IX_SiteContact")
                        .IsUnique()
                        .HasFilter("([ValidToVersion] IS NOT NULL)");

                    b.HasIndex(new[] { "EditVersionId", "SiteId", "ContactId" }, "IX_SiteContact_1")
                        .IsUnique()
                        .HasFilter("([EditVersionId] IS NOT NULL)");

                    b.HasIndex(new[] { "EditVersionId" }, "IX_SiteContact_EditVersionId");

                    b.ToTable("SiteContact");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.SiteMapshape", b =>
                {
                    b.Property<int>("RecordId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("RecordId"));

                    b.Property<int?>("EditVersionId")
                        .HasColumnType("integer");

                    b.Property<bool?>("IsDelete")
                        .HasColumnType("boolean");

                    b.Property<int>("MapshapeId")
                        .HasColumnType("integer");

                    b.Property<int>("SiteId")
                        .HasColumnType("integer");

                    b.Property<int?>("ValidFromVersion")
                        .HasColumnType("integer");

                    b.Property<int?>("ValidToVersion")
                        .HasColumnType("integer");

                    b.HasKey("RecordId");

                    b.HasIndex(new[] { "RecordId", "ValidToVersion", "SiteId", "MapshapeId" }, "IX_SiteMapshape")
                        .IsUnique()
                        .HasFilter("([ValidToVersion] IS NOT NULL)");

                    b.HasIndex(new[] { "SiteId", "MapshapeId" }, "IX_SiteMapshape_1");

                    b.HasIndex(new[] { "MapshapeId", "SiteId" }, "IX_SiteMapshape_2");

                    b.HasIndex(new[] { "EditVersionId", "SiteId", "MapshapeId" }, "IX_SiteMapshape_3")
                        .IsUnique()
                        .HasFilter("([EditVersionId] IS NOT NULL)");

                    b.HasIndex(new[] { "EditVersionId" }, "IX_SiteMapshape_EditVersionId");

                    b.ToTable("SiteMapshape");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.Version", b =>
                {
                    b.Property<int>("Id")
                        .HasColumnType("integer");

                    b.Property<int>("EditId")
                        .HasColumnType("integer");

                    b.HasKey("Id");

                    b.ToTable("Version");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.Video", b =>
                {
                    b.Property<int>("RecordId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("RecordId"));

                    b.Property<int?>("EditVersionId")
                        .HasColumnType("integer");

                    b.Property<int>("Id")
                        .HasColumnType("integer");

                    b.Property<string>("Identifier")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<bool?>("IsDelete")
                        .HasColumnType("boolean");

                    b.Property<int>("SiteId")
                        .HasColumnType("integer");

                    b.Property<string>("ThumbnailUrl")
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<int>("TypeId")
                        .HasColumnType("integer");

                    b.Property<int?>("ValidFromVersion")
                        .HasColumnType("integer");

                    b.Property<int?>("ValidToVersion")
                        .HasColumnType("integer");

                    b.HasKey("RecordId");

                    b.HasIndex(new[] { "ValidFromVersion", "ValidToVersion", "Id" }, "IX_Video")
                        .IsUnique()
                        .HasFilter("([ValidToVersion] IS NOT NULL)");

                    b.HasIndex(new[] { "EditVersionId", "Id" }, "IX_Video_1")
                        .IsUnique()
                        .HasFilter("([EditVersionId] IS NOT NULL)");

                    b.HasIndex(new[] { "EditVersionId" }, "IX_Video_EditVersionId");

                    b.HasIndex(new[] { "TypeId" }, "IX_Video_TypeId");

                    b.ToTable("Video");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.VideoType", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<string>("EmbedUrl")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)")
                        .HasDefaultValueSql("('')");

                    b.Property<string>("LinkUrl")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)")
                        .HasDefaultValueSql("('')");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<int>("SortOrder")
                        .HasColumnType("integer");

                    b.Property<string>("ThumbnailUrl")
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.HasKey("Id");

                    b.ToTable("VideoType");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<string>", b =>
                {
                    b.HasOne("Microsoft.AspNetCore.Identity.IdentityRole", null)
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<string>", b =>
                {
                    b.HasOne("Microsoft.AspNetCore.Identity.IdentityUser", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<string>", b =>
                {
                    b.HasOne("Microsoft.AspNetCore.Identity.IdentityUser", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<string>", b =>
                {
                    b.HasOne("Microsoft.AspNetCore.Identity.IdentityRole", null)
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("Microsoft.AspNetCore.Identity.IdentityUser", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<string>", b =>
                {
                    b.HasOne("Microsoft.AspNetCore.Identity.IdentityUser", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.Area", b =>
                {
                    b.HasOne("SiteGuide.DAL.Models.EditVersion", "EditVersion")
                        .WithMany("Area")
                        .HasForeignKey("EditVersionId")
                        .HasConstraintName("FK_Area_EditVersion");

                    b.Navigation("EditVersion");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.Contact", b =>
                {
                    b.HasOne("SiteGuide.DAL.Models.EditVersion", "EditVersion")
                        .WithMany("Contact")
                        .HasForeignKey("EditVersionId")
                        .HasConstraintName("FK_Contact_EditVersion");

                    b.Navigation("EditVersion");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.EditVersion", b =>
                {
                    b.HasOne("SiteGuide.DAL.Models.EditVersionStatus", "Status")
                        .WithMany("EditVersion")
                        .HasForeignKey("StatusId")
                        .IsRequired()
                        .HasConstraintName("FK_EditVersion_EditVersionStatus");

                    b.Navigation("Status");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.Launch", b =>
                {
                    b.HasOne("SiteGuide.DAL.Models.EditVersion", "EditVersion")
                        .WithMany("Launch")
                        .HasForeignKey("EditVersionId")
                        .HasConstraintName("FK_Launch_EditVersion");

                    b.Navigation("EditVersion");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.MapShape", b =>
                {
                    b.HasOne("SiteGuide.DAL.Models.MapShapeCategory", "Category")
                        .WithMany("MapShape")
                        .HasForeignKey("CategoryId")
                        .IsRequired()
                        .HasConstraintName("FK_MapShape_MapShapeCategory");

                    b.HasOne("SiteGuide.DAL.Models.EditVersion", "EditVersion")
                        .WithMany("MapShape")
                        .HasForeignKey("EditVersionId")
                        .HasConstraintName("FK_MapShape_EditVersion");

                    b.Navigation("Category");

                    b.Navigation("EditVersion");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.SeeAlso", b =>
                {
                    b.HasOne("SiteGuide.DAL.Models.EditVersion", "EditVersion")
                        .WithMany("SeeAlso")
                        .HasForeignKey("EditVersionId")
                        .HasConstraintName("FK_SeeAlso_EditVersion");

                    b.Navigation("EditVersion");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.Site", b =>
                {
                    b.HasOne("SiteGuide.DAL.Models.EditVersion", "EditVersion")
                        .WithMany("Site")
                        .HasForeignKey("EditVersionId")
                        .HasConstraintName("FK_Site_EditVersion");

                    b.HasOne("SiteGuide.DAL.Models.InsetMapPosition", "InsetMapPosition")
                        .WithMany("Site")
                        .HasForeignKey("InsetMapPositionId")
                        .IsRequired()
                        .HasConstraintName("FK_Site_InsetMapPosition");

                    b.Navigation("EditVersion");

                    b.Navigation("InsetMapPosition");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.SiteContact", b =>
                {
                    b.HasOne("SiteGuide.DAL.Models.EditVersion", "EditVersion")
                        .WithMany("SiteContact")
                        .HasForeignKey("EditVersionId")
                        .HasConstraintName("FK_SiteContact_EditVersion");

                    b.Navigation("EditVersion");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.SiteMapshape", b =>
                {
                    b.HasOne("SiteGuide.DAL.Models.EditVersion", "EditVersion")
                        .WithMany("SiteMapshape")
                        .HasForeignKey("EditVersionId")
                        .HasConstraintName("FK_SiteMapshape_EditVersion");

                    b.Navigation("EditVersion");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.Video", b =>
                {
                    b.HasOne("SiteGuide.DAL.Models.EditVersion", "EditVersion")
                        .WithMany("Video")
                        .HasForeignKey("EditVersionId")
                        .HasConstraintName("FK_Video_EditVersion");

                    b.HasOne("SiteGuide.DAL.Models.VideoType", "Type")
                        .WithMany("Video")
                        .HasForeignKey("TypeId")
                        .IsRequired()
                        .HasConstraintName("FK_Video_VideoType");

                    b.Navigation("EditVersion");

                    b.Navigation("Type");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.EditVersion", b =>
                {
                    b.Navigation("Area");

                    b.Navigation("Contact");

                    b.Navigation("Launch");

                    b.Navigation("MapShape");

                    b.Navigation("SeeAlso");

                    b.Navigation("Site");

                    b.Navigation("SiteContact");

                    b.Navigation("SiteMapshape");

                    b.Navigation("Video");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.EditVersionStatus", b =>
                {
                    b.Navigation("EditVersion");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.InsetMapPosition", b =>
                {
                    b.Navigation("Site");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.MapShapeCategory", b =>
                {
                    b.Navigation("MapShape");
                });

            modelBuilder.Entity("SiteGuide.DAL.Models.VideoType", b =>
                {
                    b.Navigation("Video");
                });
#pragma warning restore 612, 618
        }
    }
}
